const minusculaChars = "abcdefghijklmnopqrstuvwxyz";
const mayusculaChars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
const numeroChars = "0123456789";
const simboloChars = "!@#$%^&*()_+[]{}|;:,.<>?";

function generatePassword(){
    const passwordInput = document.getElementById("password");
    const minusculaCheckbox = document.getElementById("minuscula");
    const mayusculaCheckbox = document.getElementById("mayuscula");
    const numeroCheckbox = document.getElementById("numero");
    const simboloCheckbox = document.getElementById("simbolo");
    const longitudText = document.getElementById("longitud");

    let characters ="";
    if (minusculaCheckbox.checked) characters += minusculaChars;
    if (mayusculaCheckbox.checked) characters += mayusculaChars;
    if (numeroCheckbox.checked) characters += numeroChars;
    if (simboloCheckbox.checked) characters += simboloChars;

    if (characters === ""){
        passwordInput.value = "";
        return;
    }

    let password = "";
    let largo = 12; //Cantidad de caracteres por defecto

    if (longitudText.value !=="" && longitudText.value !="0") {
        largo = longitudText.value;
    }

    for (let i = 1; i <= largo; i++) {
        let char = Math.floor(Math.random()
            * characters.length + 1);

        password += characters.charAt(char)
    }

    passwordInput.value = password;
}

function copyPassword(){
    const passwordInput = document.getElementById("password");
    const copyButton = document.getElementById("copy");

    passwordInput.disabled = false;
    // Activar el input para seleccionar su valor
    passwordInput.select();
    document.execCommand('copy');
    passwordInput.disabled = true;
    // Desactivar el boton nuevamente

    copyButton.textContent = 'Copiado!';
    setTimeout(() =>{
        copyButton.textContent = 'Copiar';
    },2000); // Resetear a Copiar despues de 2 segundos
}

